/chatwork | Type: Application | PCID required: Yes
Tools
chatwork_accept_incoming_request
Accept contact request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
request_id | integer | Yes | — | Contact request ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"request_id": {
"type": "integer",
"description": "Contact request ID"
}
},
"required": [
"PCID",
"request_id"
]
}
chatwork_create_room
Create new group chat Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
description | string | No | — | Chat room description |
icon_preset | string | No | — | Icon type |
link | integer | No | — | 0 or 1. Whether to create an invitation link |
link_code | string | No | — | Invitation link code (1-50 chars). Random if omitted |
link_need_acceptance | integer | No | — | 0 or 1. Whether admin approval is required for link |
members_admin_ids | string | Yes | — | Comma-separated admin account IDs (at least one required) |
members_member_ids | string | No | — | Comma-separated member account IDs |
members_readonly_ids | string | No | — | Comma-separated readonly account IDs |
name | string | Yes | — | Chat room name (1-255 chars) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"description": {
"type": "string",
"description": "Chat room description"
},
"icon_preset": {
"type": "string",
"description": "Icon type",
"enum": [
"group",
"check",
"document",
"meeting",
"event",
"project",
"business",
"study",
"security",
"star",
"idea",
"heart",
"magcup",
"beer",
"music",
"sports",
"travel"
]
},
"link": {
"type": "integer",
"description": "0 or 1. Whether to create an invitation link",
"enum": [
0,
1
]
},
"link_code": {
"type": "string",
"description": "Invitation link code (1-50 chars). Random if omitted"
},
"link_need_acceptance": {
"type": "integer",
"description": "0 or 1. Whether admin approval is required for link",
"enum": [
0,
1
]
},
"members_admin_ids": {
"type": "string",
"description": "Comma-separated admin account IDs (at least one required)"
},
"members_member_ids": {
"type": "string",
"description": "Comma-separated member account IDs"
},
"members_readonly_ids": {
"type": "string",
"description": "Comma-separated readonly account IDs"
},
"name": {
"type": "string",
"description": "Chat room name (1-255 chars)"
}
},
"required": [
"PCID",
"members_admin_ids",
"name"
]
}
chatwork_create_room_link
Create room invite link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
code | string | No | — | Link code (1-50 chars). Random if omitted |
description | string | No | — | Link description |
need_acceptance | integer | No | — | 0 or 1. Whether admin approval is required (default 1) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"code": {
"type": "string",
"description": "Link code (1-50 chars). Random if omitted"
},
"description": {
"type": "string",
"description": "Link description"
},
"need_acceptance": {
"type": "integer",
"description": "0 or 1. Whether admin approval is required (default 1)",
"enum": [
0,
1
]
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_create_room_task
Create new task Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
body | string | Yes | — | Task content (max 65535 chars) |
limit | integer | No | — | Deadline as Unix timestamp |
limit_type | string | No | — | Deadline type |
to_ids | string | Yes | — | Comma-separated assignee account IDs |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"body": {
"type": "string",
"description": "Task content (max 65535 chars)"
},
"limit": {
"type": "integer",
"description": "Deadline as Unix timestamp"
},
"limit_type": {
"type": "string",
"description": "Deadline type",
"enum": [
"none",
"date",
"time"
]
},
"to_ids": {
"type": "string",
"description": "Comma-separated assignee account IDs"
}
},
"required": [
"PCID",
"room_id",
"body",
"to_ids"
]
}
chatwork_delete_or_leave_room
Leave or delete group chat Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
action_type | string | Yes | — | Whether to leave or delete the room |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"action_type": {
"type": "string",
"description": "Whether to leave or delete the room",
"enum": [
"leave",
"delete"
]
}
},
"required": [
"PCID",
"room_id",
"action_type"
]
}
chatwork_delete_room_link
Delete room invite link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_delete_room_message
Delete message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
message_id | string | Yes | — | Message ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"message_id": {
"type": "string",
"description": "Message ID"
}
},
"required": [
"PCID",
"room_id",
"message_id"
]
}
chatwork_get_contacts
List contactsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
chatwork_get_incoming_requests
List contact requestsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
chatwork_get_me
Get own account infoShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
chatwork_get_my_status
Get unread/mention/task countsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
chatwork_get_my_tasks
List own tasks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
assigned_by_account_id | integer | No | — | Filter by the account ID of the person who assigned the task. |
status | string | No | — | Filter by task status. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"assigned_by_account_id": {
"type": "integer",
"description": "Filter by the account ID of the person who assigned the task."
},
"status": {
"type": "string",
"description": "Filter by task status.",
"enum": [
"open",
"done"
]
}
},
"required": [
"PCID"
]
}
chatwork_get_room
Get chat info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_get_room_file
Get file info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
file_id | integer | Yes | — | File ID |
create_download_url | integer | No | — | Set to 1 to include a temporary download URL (valid for 30 seconds). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"file_id": {
"type": "integer",
"description": "File ID"
},
"create_download_url": {
"type": "integer",
"description": "Set to 1 to include a temporary download URL (valid for 30 seconds).",
"enum": [
0,
1
]
}
},
"required": [
"PCID",
"room_id",
"file_id"
]
}
chatwork_get_room_files
List room files Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
account_id | integer | No | — | Filter by uploader account ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"account_id": {
"type": "integer",
"description": "Filter by uploader account ID."
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_get_room_link
Get room invite link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_get_room_members
List chat members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_get_room_message
Get specific message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
message_id | string | Yes | — | Message ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"message_id": {
"type": "string",
"description": "Message ID"
}
},
"required": [
"PCID",
"room_id",
"message_id"
]
}
chatwork_get_room_messages
List messages Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
force | integer | No | — | Set to 1 to get the latest 100 messages regardless of read state. Default is 0 (new messages only). |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"force": {
"type": "integer",
"description": "Set to 1 to get the latest 100 messages regardless of read state. Default is 0 (new messages only).",
"enum": [
0,
1
]
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_get_room_task
Get task info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
task_id | integer | Yes | — | Task ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"task_id": {
"type": "integer",
"description": "Task ID"
}
},
"required": [
"PCID",
"room_id",
"task_id"
]
}
chatwork_get_room_tasks
List room tasks Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
account_id | integer | No | — | Filter by assignee account ID. |
assigned_by_account_id | integer | No | — | Filter by assigner account ID. |
status | string | No | — | Filter by task status. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"account_id": {
"type": "integer",
"description": "Filter by assignee account ID."
},
"assigned_by_account_id": {
"type": "integer",
"description": "Filter by assigner account ID."
},
"status": {
"type": "string",
"description": "Filter by task status.",
"enum": [
"open",
"done"
]
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_get_rooms
List chatsShow inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
}
},
"required": [
"PCID"
]
}
chatwork_post_room_message
Post new message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
body | string | Yes | — | Message body (1-65535 chars) |
self_unread | integer | No | — | 0 (default, mark as read) or 1 (mark as unread for self) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"body": {
"type": "string",
"description": "Message body (1-65535 chars)"
},
"self_unread": {
"type": "integer",
"description": "0 (default, mark as read) or 1 (mark as unread for self)",
"enum": [
0,
1
]
}
},
"required": [
"PCID",
"room_id",
"body"
]
}
chatwork_read_room_messages
Mark messages as read Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
message_id | string | No | — | Message ID. All messages up to this ID are marked as read. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"message_id": {
"type": "string",
"description": "Message ID. All messages up to this ID are marked as read."
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_reject_incoming_request
Reject contact request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
request_id | integer | Yes | — | Contact request ID |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"request_id": {
"type": "integer",
"description": "Contact request ID"
}
},
"required": [
"PCID",
"request_id"
]
}
chatwork_unread_room_message
Mark message as unread Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
message_id | string | Yes | — | Messages from this ID onward become unread |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"message_id": {
"type": "string",
"description": "Messages from this ID onward become unread"
}
},
"required": [
"PCID",
"room_id",
"message_id"
]
}
chatwork_update_room
Update chat info Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
description | string | No | — | Chat room description |
icon_preset | string | No | — | Icon type |
name | string | No | — | Chat room name (1-255 chars) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"description": {
"type": "string",
"description": "Chat room description"
},
"icon_preset": {
"type": "string",
"description": "Icon type",
"enum": [
"group",
"check",
"document",
"meeting",
"event",
"project",
"business",
"study",
"security",
"star",
"idea",
"heart",
"magcup",
"beer",
"music",
"sports",
"travel"
]
},
"name": {
"type": "string",
"description": "Chat room name (1-255 chars)"
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_update_room_link
Update room invite link Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
code | string | No | — | Link code (1-50 chars) |
description | string | No | — | Link description |
need_acceptance | integer | No | — | 0 or 1. Whether admin approval is required |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"code": {
"type": "string",
"description": "Link code (1-50 chars)"
},
"description": {
"type": "string",
"description": "Link description"
},
"need_acceptance": {
"type": "integer",
"description": "0 or 1. Whether admin approval is required",
"enum": [
0,
1
]
}
},
"required": [
"PCID",
"room_id"
]
}
chatwork_update_room_members
Bulk update chat members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
members_admin_ids | string | Yes | — | Comma-separated admin account IDs (at least one required) |
members_member_ids | string | No | — | Comma-separated member account IDs |
members_readonly_ids | string | No | — | Comma-separated readonly account IDs |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"members_admin_ids": {
"type": "string",
"description": "Comma-separated admin account IDs (at least one required)"
},
"members_member_ids": {
"type": "string",
"description": "Comma-separated member account IDs"
},
"members_readonly_ids": {
"type": "string",
"description": "Comma-separated readonly account IDs"
}
},
"required": [
"PCID",
"room_id",
"members_admin_ids"
]
}
chatwork_update_room_message
Update message Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
message_id | string | Yes | — | Message ID |
body | string | Yes | — | New message body (1-65535 chars) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"message_id": {
"type": "string",
"description": "Message ID"
},
"body": {
"type": "string",
"description": "New message body (1-65535 chars)"
}
},
"required": [
"PCID",
"room_id",
"message_id",
"body"
]
}
chatwork_update_room_task_status
Update task status Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
room_id | integer | Yes | — | Chat room ID |
task_id | integer | Yes | — | Task ID |
body | string | Yes | — | Task status |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"room_id": {
"type": "integer",
"description": "Chat room ID"
},
"task_id": {
"type": "integer",
"description": "Task ID"
},
"body": {
"type": "string",
"description": "Task status",
"enum": [
"open",
"done"
]
}
},
"required": [
"PCID",
"room_id",
"task_id",
"body"
]
}

